
import { addModelCmd, getModelCmd, updateModelCmd, delModelCmd, getModelList, getModelCmdLIst } from '@/api/iot/model'
import { message } from 'ant-design-vue'

export class ModelCmdController {
  static async page (params: any) {
    return await getModelCmd(params)
  }

  static async post (data: IOT.API.CMD.Cmd) {
    await addModelCmd(data)
    message.success('新增成功')
  }

  static async update (data: IOT.API.CMD.Cmd) {
    await updateModelCmd(data)
    message.success('修改成功')
  }

  static async del (id: string) {
    await delModelCmd(id)
    message.success('删除成功')
  }

  static async list (params: {modelId: string}) {
    return await getModelCmdLIst(params)
  }
}
